Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementsetattributenodenomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementsetattributenodenomodificationallowederrEE (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setAttributeNode(newAttr)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference and add to the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "setAttributeNode(newAttr)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-887236154 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-887236154')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-887236154 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenodenomodificationallowederr.xml

Definition at line 49 of file elementsetattributenodenomodificationallowederrEE.java.

## Constructor & Destructor Documentation

elementsetattributenodenomodificationallowederrEE::elementsetattributenodenomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementsetattributenodenomodificationallowederrEE.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String elementsetattributenodenomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 92 of file elementsetattributenodenomodificationallowederrEE.java.
    00092                                 {
    00093       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenodenomodificationallowederrEE";
    00094    }

void elementsetattributenodenomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 95 of file elementsetattributenodenomodificationallowederrEE.java. References DOMTestCase::doMain().
    00095                                           {
    00096         DOMTestCase.doMain(elementsetattributenodenomodificationallowederrEE.class,args);
    00097    }

void elementsetattributenodenomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file elementsetattributenodenomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       EntityReference entRef;
    00067       Element entElement;
    00068       Attr newAttr;
    00069       Attr badAttr;
    00070       Node appendedChild;
    00071       doc = load("staff");
    00072       genderList = doc.getElementsByTagName("gender");
    00073       gender = genderList.item(2);
    00074       entRef = doc.createEntityReference("ent4");
    00075       appendedChild = gender.appendChild(entRef);
    00076       entElement = (Element)entRef.getFirstChild();
    00077       newAttr = doc.createAttribute("newAttr");
    00078
    00079         {
    00080                 boolean success = false;
    00081                 try {
    00082                         badAttr = entElement.setAttributeNode(newAttr);
    00083
    00084                 }
    00085                 catch(DOMException ex) {
    00086                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00087                 }
    00088                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00089         }
    00090
    00091    }

The documentation for this class was generated from the following file:

- elementsetattributenodenomodificationallowederrEE.java